IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CP_AppEve_Botonera_RptEspec') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE dbo.CP_AppEve_Botonera_RptEspec
END
GO

CREATE PROCEDURE [dbo].[CP_AppEve_Botonera_RptEspec] @pId_Evento SMALLINT /*Id_Lista_Precio*/
AS


/*
 * Los Stored que se llamen deben crear una tabla #Botonera_RptEstp, completarla y listarla:
 *
 * CREATE TABlE #Botonera_RptEstp
 * (Id_Boton			SMALLINT, 
 * Nombre_Mostrar		VARCHAR(100), 
 * Stored_A_Ejecutar	VARCHAR(100))
 *
 * DONDE: 
 * Id_Boton: Indica el Numero de Botón en el Menú
 * Nombre_Mostrar: El nombre que tendrá el botón
 * Stored_A_Ejecutar: Nombre del Stored que ejecutará el botón (Todos los Stored deberán recibir como parámetros: pId_Evento, pNro_Serie_Controlador, pId_Producto, pId_Cliente, pId_Trans, pCredencial_Nro (independientemente de si utilizan el dato o no)
 *
 * EJEMPLO DE UN BOTÓN:
 *
 * INSERT INTO #Botonera_RptEstp
 * SELECT
 * 1, 'Productos Controlados', 'SP_AppEve_BtnRptEsp_ProdContr_55_Coloquio'
 *
 * EJEMPLO DEL LISTADO:
 *
 * SELECT * FROM #Botonera_RptEstp
 * DROP #Botonera_RptEstp 
*/

/*
IF(@pId_Evento = 219 /*55 Coloquio 2019*/)
BEGIN
	EXEC SP_AppEve_Botonera_55_Coloquio_RptEspec
END
*/